org.jboss.jca.common.api.metadata.common

## Class Capacity

- java.lang.Object
- - org.jboss.jca.common.api.metadata.common.Capacity

- All Implemented Interfaces:
    java.io.Serializable, JCAMetadata, ValidatableMetadata

      public class Capacity
      extends java.lang.Object
      implements JCAMetadata, ValidatableMetadata

  Capacity definition
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Capacity.Tag` A tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Capacity(Extension incrementer, Extension decrementer)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Extension` | `getDecrementer()` Get the decrementer
    `Extension` | `getIncrementer()` Get the incrementer
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Capacity

          public Capacity(Extension incrementer,
                          Extension decrementer)
                   throws ValidateException

      Constructor
      Parameters:
        `incrementer` - The incrementer plugin
        `decrementer` - The decrementer plugin
      Throws:
        `ValidateException` - in case of not valid metadata creation

  - ### Method Detail

    - #### getIncrementer

          public Extension getIncrementer()

      Get the incrementer
      Returns:
        The value

    - #### getDecrementer

          public Extension getDecrementer()

      Get the decrementer
      Returns:
        The value

    - #### validate

          public void validate()
                        throws ValidateException

      Description copied from interface: `ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `ValidatableMetadata`
      Throws:
        `ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)